<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<!--
 *     	  Copyright © 1997, 2011, Oracle and/or its affiliates. All rights reserved. 
 *	  Use is subject to license terms.
-->
<html>
<head>
<meta http-equiv="content-type" content="text/html; charset=UTF-8">

    <title>About Extending Skeleton API Implementations</title>
    <link rel="StyleSheet" href="nbdocs://org.netbeans.modules.usersguide/org/netbeans/modules/usersguide/ide.css" type="text/css">
</head>
<body>
    <h2>About Extending Skeleton API Implementations</h2>
    <p><small> 
        <a href="#seealso">See Also</a> 
    </small></p>

    <p>Once you have used the <a href="filelevel_create/about_file_wizards.html">NetBeans API wizards</a>,
    you extend the generated code by using the NetBeans APIs. Several tools are provided
    specifically to help you at this stage of your development cycle. Amongst them are
    the following:
   
    <ul><li><a href="using_netbeans_api_javadoc.html">Access to NetBeans sources and Javadoc</a>. After
    you <a href="netbeans_api_javadoc.html">register</a> the NetBeans sources and Javadoc, you
    can access them inside the IDE. This gives you a quick and easy reference to the
    API classes and methods that you are implementing.
    <li><a href="apisupport_searching_apis.html">Search facility for NetBeans APIs</a>. If you know
    the class that you need to use, but not the module (API or non-API) to which it belongs, a search facility is
    provided to help you. Once you have identified the module, the IDE registers it in
    the module project's <tt>projext.xml</tt> file.
    <li><a href="apisupport_codetemplates_apis.html">Code Templates for NetBeans APIs</a>. For
    several common tasks, you can type an abbreviation in the Java editor, press the
    registered expansion key (which is the Tab key, by default), and then the abbreviation
    will expand to a full piece of code.
    </ul>

    <dl>
        <dt><a name="seealso">See Also</a></dt>
        <dd>  <a href="../about/nbmodule-about.html">About NetBeans Platform and Module Development</a></dd>
        <dd><a href="../about/about-netbeans-platform.html">About the NetBeans Platform</a></dd>
    </dl> 
    <hr>
    <small><a href="../credits.html">Legal Notices</a></small> 
    <table cellpadding="20" border="0"> 
        <tr><td>&nbsp;</td></tr> 
        <tr><td>&nbsp;</td></tr> 
        <tr><td>&nbsp;</td></tr> 
    </table> 
</body></html>
